%define major 0
%define api 0.2
%define libname %mklibname %{name} %{api}_%{major}
%define devname %mklibname %{name} -d

Summary:	GEGL (Generic Graphics Library) - graph based image processing framework
Name:		gegl
Version:	0.2.0
Release:	14
License:	LGPLv3+
Group:		System/Libraries
Url:		http://www.gegl.org/
Source0:	ftp://ftp.gimp.org/pub/gegl/%{api}/%{name}-%{version}.tar.bz2
Patch0:		gegl-0.2.0-ffmpeg2.0.patch
Patch1:		gegl-0.2.0-CVE-2012-4433.patch
Patch2:		gegl-0.2.0-remove-src-over-op.patch
Patch3:		gegl-0.2.0-lua-5.2.patch
BuildRequires:	enscript
BuildRequires:	intltool
BuildRequires:	graphviz
BuildRequires:	imagemagick
BuildRequires:	pango-modules
BuildRequires:	ruby
#gw warning: this needs the deprecated libavcodec scaler (img_convert,...)
BuildRequires:	ffmpeg-devel
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(babl) >= 0.1.10
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libopenraw-1.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(sdl)

%description
GEGL (Generic Graphics Library) is a graph based image processing framework.

GEGLs original design was made to scratch GIMPs itches for a new compositing
and processing core. This core is being designed to have minimal dependencies
and a simple well defined API.

%files -f %{name}-%{api}.lang
%doc README AUTHORS NEWS
%{_bindir}/gegl
%{_libdir}/gegl-%{api}/*.so

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for %{name}
Group:		System/Libraries

%description -n %{libname}
GEGL (Generic Graphics Library) is a graph based image processing framework.

GEGLs original design was made to scratch GIMPs itches for a new compositing
and processing core. This core is being designed to have minimal dependencies
and a simple well defined API.

%files -n %{libname}
%{_libdir}/libgegl-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

%files -n %{devname}
%doc ChangeLog
%{_libdir}/*.so
%{_includedir}/gegl-%{api}/
%{_libdir}/pkgconfig/%{name}-%{api}.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .ffmpeg11~
%patch1 -p1 -b .CVE-2012-4433
%patch2 -p1 -b .remove-src-over-op
%patch3 -p1 -b .lua52
sed -e 's/\.dylib/.bundle/' -i configure.ac || die
autoreconf -fi

%build
%configure2_5x \
	--enable-workshop \
	--with-pango \
	--with-gdk-pixbuf \
	--without-libspiro \
	--disable-docs
%make

%install
%makeinstall_std

%find_lang %{name}-%{api}

rm -f %{buildroot}%{_libdir}/gegl-%{api}/*.la


%changelog
* Mon Jul 07 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.2.0-14
+ Revision: 3607bcc
- Add patch to fix build with lua 5.2


